export interface Social {
  type: string | null
  name: string
  link: string
}

export interface StreamData {
  tags: string[]
  title: string
  topic: string
  startedAt: number
  viewers: number
  preview: string
  cursor?: string
}

export interface StreamerData {
  username: string
  login: string
  followers: number
  isLive: boolean
  about: string
  socials?: Social[]
  pfp: string
  banner: string
  stream?: StreamData | null
  isPartner: boolean | null
  colorHex: string
  id: number
}
